View Issue Details

IDProjectCategoryView StatusLast Update
0007053VALENTINA STUDIOTool - Data Editorpublic2015-10-05 17:45
ReporterVmantisAssigned ToSergey Pashkov 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSUbuntuOS Version14.10
Product Version5.7.5 
Target Version6.0Fixed in Version6.0 
Summary0007053: SQL error "zero-length delimited identifier" when interacting with result rows
DescriptionWhen using the latest version of Valentina Studio, when I click on a cell in the table data overview window, I'm presented with the attached error message.

The error message reads:

ERROR: zero-length delimited identifier at or near """"
LINE 1: ...N "databasename"."tablename" alias 1 on ALIAS1."" = alias...
                           ^
Steps To ReproduceConnect to a Postgres 9.x server.
Double click a schema, database and table to view the table rows.
Click any cell (i.e. to alter the content/copy the value)
Expected: field becomes editable.
Actual: error popup
TagsNo tags attached.
Working with DB:postgreSQL Server
Version of your DB9.3

Activities

Vmantis

Vmantis

2015-04-14 12:08

reporter  

Screenshot from 2015-04-14 14:04:44.png (20,014 bytes)
Sergey Pashkov

Sergey Pashkov

2015-04-14 12:35

developer   ~0008132

Do you see it with any db/schema/table?

Is "segment_tool" the name of database? Not schema?

When you click on cell and related mode is active, Data Editor tries to get linked records to fill related table view.

Try to find current foreign key link in the DB/Schema/Table/Links list in the Schema Editor and select it. Are primary Key and Foreign Key properties correct?
Sergey Pashkov

Sergey Pashkov

2015-04-14 12:35

developer  

Screen Shot 2015-04-14 at 3.32.30 PM.png (75,411 bytes)
Vmantis

Vmantis

2015-04-14 12:41

reporter   ~0008133

Thanks for your response! I'm seeing this error with all dbs/schemas/tables on this server, yes. And you're right, 'segment_tool' is the schema name here, my bad.

As far as I can tell the primary and foreign keys are set up correctly, I'm not seeing anything that's out of the ordinary there.
Sergey Pashkov

Sergey Pashkov

2015-04-17 06:51

developer   ~0008139

Still can't reproduce, PostgreSQL 9.3.5, 9.4.1

Can you try to open some very basic db, please?
Like following:

---------------------------------------------------------
CREATE SCHEMA data_schema;

CREATE TABLE data_schema.person (
    person_id BIGINT NOT NULL,
    NAME CHARACTER VARYING(2044) NOT NULL
);

CREATE TABLE data_schema.phone (
    phone_id BIGINT NOT NULL,
    person_ptr BIGINT NOT NULL,
    number CHARACTER VARYING(30) NOT NULL
);

INSERT INTO data_schema.person VALUES (1, 'Person1');
INSERT INTO data_schema.person VALUES (2, 'Person2');
INSERT INTO data_schema.phone VALUES (1, 1, '111-111');
INSERT INTO data_schema.phone VALUES (2, 1, '222-222');


ALTER TABLE ONLY data_schema.person
    ADD CONSTRAINT person_pkey PRIMARY KEY (person_id);
    
ALTER TABLE ONLY data_schema.phone
    ADD CONSTRAINT phone_pkey PRIMARY KEY (phone_id);
    
ALTER TABLE ONLY data_schema.phone
    ADD CONSTRAINT lnk_phone_person FOREIGN KEY (person_ptr) REFERENCES data_schema.person(person_id) MATCH FULL ON UPDATE CASCADE ON DELETE CASCADE;
-------------------------------------------------------------
Jan Fabry

Jan Fabry

2015-09-25 11:49

reporter   ~0008320

I have the same issue on version 5.8.1 (Build May 2 2015) on Mac OS X.

A workaround is to "disable" the automatic fetching of related records, by setting the "Mode" to "show all" in the bottom pane. Or is there a way to disable related tables altogether?

This user has limited rights (ALL PRIVILEGES ON TABLES and ALL PRIVILEGES ON SEQUENCES), maybe that is a factor?

This query log shows the full query:

SELECT "id", "batch_type", "created_on", "name", "merchant_merc_id" FROM ( ( SELECT DISTINCT alias2."id", alias2."batch_type", alias2."created_on", alias2."name", alias2."merchant_merc_id" FROM "public"."td_merchant" alias1 JOIN "public"."batch" alias2 ON alias1."" = alias2."merchant_merc_id" WHERE ( alias2."merchant_merc_id" = $1 ) ) ) AS subQuery ORDER BY "id" ASC OFFSET 0 LIMIT 500

The relationship is td_merchant.merc_id = batch.merchant_merc_id, so the left field is not filled in.
Sergey Pashkov

Sergey Pashkov

2015-09-25 14:39

developer   ~0008321

Hello, Jan

Can you check, please, if a link has correct values for "Primary Key" and "Foreign Key" properties in the property inspector?
Data Editor uses them to generate a JOIN string.

Have you tried the same thing on a new 6.0 version?
Vmantis

Vmantis

2015-10-05 17:35

reporter   ~0008363

Using the 6.0 version resolved this issue for me.
Sergey Pashkov

Sergey Pashkov

2015-10-05 17:45

developer   ~0008365

Thank you, so I close an issue.

Issue History

Date Modified Username Field Change
2015-04-14 12:08 Vmantis New Issue
2015-04-14 12:08 Vmantis File Added: Screenshot from 2015-04-14 14:04:44.png
2015-04-14 12:35 Sergey Pashkov Note Added: 0008132
2015-04-14 12:35 Sergey Pashkov File Added: Screen Shot 2015-04-14 at 3.32.30 PM.png
2015-04-14 12:41 Vmantis Note Added: 0008133
2015-04-17 06:51 Sergey Pashkov Note Added: 0008139
2015-09-25 11:49 Jan Fabry Note Added: 0008320
2015-09-25 12:01 Ruslan Zasukhin Assigned To => Sergey Pashkov
2015-09-25 12:01 Ruslan Zasukhin Status new => assigned
2015-09-25 12:01 Ruslan Zasukhin Target Version => 6.1
2015-09-25 14:39 Sergey Pashkov Note Added: 0008321
2015-10-05 17:35 Vmantis Note Added: 0008363
2015-10-05 17:45 Sergey Pashkov Note Added: 0008365
2015-10-05 17:45 Sergey Pashkov Status assigned => closed
2015-10-05 17:45 Sergey Pashkov Resolution open => fixed
2015-10-05 17:45 Sergey Pashkov Fixed in Version => 6.0
2015-10-05 17:45 Sergey Pashkov Target Version 6.1 => 6.0